Bug 121769 - kdelibs should provide openoffice mimelnk files (not oo.org)
Summary: kdelibs should provide openoffice mimelnk files (not oo.org)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-27 17:23 UTC by Rex Dieter
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-12 14:09:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2004-04-27 17:23:28 UTC
Description of problem:
Both kdelibs and openoffice.org can provide the mimelnk files
/usr/share/mimelnk/application/vnd.sun.xml.calc.desktop
/usr/share/mimelnk/application/vnd.sun.xml.draw.desktop
/usr/share/mimelnk/application/vnd.sun.xml.impress.desktop
/usr/share/mimelnk/application/vnd.sun.xml.writer.desktop

At present, FC's/rawhide's openoffice.org rpm owns these.  I would
argue that kdelibs should be the rightful owner of these files:
1.  mimelnk files are used *only* in kde
2.  the kdelibs versions of these files include more translations
3.  the kdelibs versions of these files include hints to help koffice
to import/export openoffice files.
4.  if openoffice.org is not installed, then these mimetypes are
undefined in kde (potentially crippling koffice's ability
import/export openoffice files)

Version-Release number of selected component: 
(versions up to and including)
openoffice.org-1.1.1-4
kdelibs-3.2.2-3

See also bug #121767 (the openoffice.org equivalent to this report). 
I wasn't sure the correct way to submit a bug that affects 2 packages.

Comment 1 Ngo Than 2004-07-19 10:54:52 UTC
this is a file conflict in rpm. Perhaps we should make a subpackage,
which just only includes mimelink files, which koffice/openoffice can
share.

Dan, do you any idee ?

Comment 2 Rex Dieter 2004-07-19 12:51:56 UTC
Been there done that (in the kde-redhat project), and creating a
common subpackage is not worth the pain and suffering involved.

Besides, as I mentioned, these mimelink files are only used in kde
anyway, so there's no point in being able to install them outside of
kde anyway.  Further, upgrading to ooo-1.1.2 makes the problem go away
too, as it no longer includes the mimelnk files in question either.

Comment 3 Rex Dieter 2005-09-29 14:20:56 UTC
Per bug #121767, ooo no longer includes kde mimetypes.  Now kde is left without
providing them until this is fixed.

Comment 4 Ngo Than 2005-10-12 14:09:39 UTC
it's now fixed in new kdelibs from rawhide.


Note You need to log in before you can comment on or make changes to this bug.